# 
#		%Z% %M% %I% %D% %T%
#
#
# ロードモジュール名

SRC	= .
OBJ	= .
INCLUDE	= ../

LOAD = /home/cms/exe/wsubform

CC	= gcc

# for Debug
CFLAGS	= -ggdb -I../../curlib01 -I../

#画面右上のカーソル位置情報を表示する場合
#CFLAGS	= -ggdb -DSHOWLOCATE -I../curlib01
#CFLAGS	= -O3 -I../../curlib01

#CFLAGS	= -O2 -I../../curlib01

LDEXE	= ./

LINTFLAGS = -x $(INC_OPT) $(CDEFS)

sample : sample.o ../libsubform.a
	$(CC) sample.c -o sample -I$(INCLUDE) ../libsubform.a -lncurses

sample2 : sample2.o ../libsubform.a
	$(CC) sample2.c -o sample2 -I$(INCLUDE) ../libsubform.a -lncurses

ega_sample : ega_sample.c ../libsubform.a
	$(CC) ega_sample.c -o ega_sample -I$(INCLUDE) ../libsubform.a -lncurses

vga_sample : vga_sample.o ../libsubform.a
	$(CC) vga_sample.c -o vga_sample -I$(INCLUDE) ../libsubform.a -lncurses

xga_sample : xga_sample.c ../libsubform.a
	$(CC) xga_sample.c -o xga_sample -I$(INCLUDE) ../libsubform.a -lncurses

wxga_sample : wxga_sample.c ../libsubform.a
	$(CC) wxga_sample.c -o wxga_sample -I$(INCLUDE) ../libsubform.a -lncurses

panels : sample.o wsubform.o subform.h
	$(CC) -DPANELS sample.c -o sample -I$(INCLUDE) ../libsubform.a -lncurses

